package com.sqx.modules.course.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.sqx.modules.course.entity.Course;
import com.sqx.modules.course.entity.CourseCollect;
import com.sqx.modules.course.entity.CourseDetails;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface CourseCollectDao extends BaseMapper<CourseCollect> {

    List<Course> selectCourseByCollect(@Param("userId") Long userId, @Param("classify") Integer classify);


    Map<String, Object> selectSummary(Long userId);


    List<Course> selectClassify1In3(@Param("userId") Long userId);
    List<Course> selectClassify2(@Param("userId") Long userId);
    List<Course> selectClassify3ByUserId(@Param("userId") Long userId);
}
